Package org.linphone.core

# Interface ParticipantImdnState

public interface ParticipantImdnState
This object represents the delivery/display state of a given chat message for a
given participant.
It also contains a timestamp at which this participant state has changed.
Use `ChatMessage.getParticipantsByImdnState(org.linphone.core.ChatMessage.State)` to get all `ParticipantImdnState`
for a given state. From there use `getParticipant()` to get the `Participant`
object if you need it.

## Method Summary

Modifier and Type
Method
Description
`long`
`getNativePointer()`
Gets the native pointer used by this class to make native method calls.
`Participant`
`getParticipant()`
Get the participant concerned by a LinphoneParticipantImdnState.
`ChatMessage.State`
`getState()`
Get the chat message state the participant is in.
`long`
`getStateChangeTime()`
Get the timestamp at which a participant has reached the state described by a
LinphoneParticipantImdnState.
`Object`
`getUserData()`
Gets the object stored in this object user's data
`void`
`setUserData(Object data)`
Sets the object to store in this object user's data
`String`
`toString()`

## Method Details

### getParticipant

Participant getParticipant()
Get the participant concerned by a LinphoneParticipantImdnState.

Returns:
  The `Participant` concerned by the LinphoneParticipantImdnState

### getState

ChatMessage.State getState()
Get the chat message state the participant is in.

Returns:
  The
  invalid reference

      ChatMessage#State

  the participant is in

### getStateChangeTime

long getStateChangeTime()
Get the timestamp at which a participant has reached the state described by a
LinphoneParticipantImdnState.

Returns:
  The timestamp at which the participant has reached the state described
  in the LinphoneParticipantImdnState

### setUserData

void setUserData(Object data)
Sets the object to store in this object user's data

Parameters:
  `data` - the object to store

### getUserData

Object getUserData()
Gets the object stored in this object user's data

Returns:
  the object store if any, null otherwise

### getNativePointer

long getNativePointer()
Gets the native pointer used by this class to make native method calls.

Returns:
  the nativer pointer, as long

### toString

String toString()

Overrides:
  `toString` in class `Object`